package test.cases.shapes;

import model.shapes.Rectangle;

public class RectangleTest {

	//=======================================
	//Smoke Tests - Construction

	/** Conduct a smoke test for the construction of
	 * a Rectangle with no args
	 */
	public void test_newInstance() {
		prn("\n-- test_newInstance --");
		Rectangle rec = Rectangle.newInstance();
		prn(rec.toString());
	}

	/** Conduct a smoke test for the construction of
	 * a Rectangle with passed name and phone
	 */
	public void test_fromUpperLeftWidthHeight() {
		prn("\n-- test_fromUpperLeftWidthHeight --");
		Rectangle rec =
			Rectangle.fromUpperLeftWidthHeight(100, 50, 10, 5);
		prn(rec.toString());
	}

	//=======================================
	//Helpers

	public void prn(Object o) {
		System.out.println(o);
	}

	//=======================================
	//Main

	public static void main(String[] args) {
		RectangleTest test = new RectangleTest();
		test.test_newInstance();
		test.test_fromUpperLeftWidthHeight();
	}

}